package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Slg;
import com.brilliance.isc.vo.manager.HistoryDataInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SlgMapper {

    int insert(Slg record);

    int insertSelective(Slg record);

    int updateByPrimaryKeySelective(Slg record);

    int updateByPrimaryKey(Slg record);

    int deleteByPrimaryKey(Slg record);

    int deleteByIds(Collection<Object> collection);

    Slg selectByPrimaryKey(Slg record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Slg> dyncRead(Map<String,Object> dyncMap);

    /**
     * 插入历史记录表slg
     *
     * @param historyDataInfo 实体类
     * @return 结果
     */
    int insertHistory(@Param("item") HistoryDataInfo historyDataInfo);

    List<Slg> selectByLogtypAndLoginrAndVer(@Param("logtyp") String logtyp, @Param("loginr") String loginr, @Param("ver") String ver);

}